MCB1800/4300 User's Guide: MCB1800/4300 User's Guide

Keil, An ARM® Company MCB1800/4300 User's Guide

The MCB1800/4300 User's Guide describes the both the MCB1800 and MCB4300 Evaluation Boards and contains detailed operating instructions for the hardware.

  • Introduction gives an overview of the MCB1800/MCB4300 Board, the features, hardware and software requirements, where to find information quickly, and where to find Technical Support.
  • Setup shows the MCB1800/MCB4300 Board components, how to connect, configure, and use the board, and describes the jumpers.
  • Theory of Operation explains the components of the MCB1800/MCB4300 board in detail.
  • Writing Programs describes how to write programs, download to flash, and configure your project for debugging for the MCB1800/MCB4300 board.
  • Example Programs lists the example programs available on the installation CD and on the Keil website. There are step-by-step instructions on building and running the BLINKY example programs.

  • The statements made in this manual are valid for both the MCB1800 and the MCB4300 boards, unless a differentiation is made explicitly. Both use the same base board and on-chip peripherals. Only the MCUs differ.

Revision History

  • March 2012: Initial revision.

Copyright © Keil, An ARM Company. All rights reserved.


MCB1800/4300 User's Guide: Debugging with ULINK

Debugging with ULINK

Follow these steps to program debugging using the µVision Debugger and the ULINK USB-JTAG Adapter. Detailed information can be found in the µVision User's Guide in the Creating Applications chapter.

  1. Connect the ULINK to the JTAG connector of the MCB1800 Board. Note that the red cable marks pin 1 of the JTAG-connector.

    MCB1800 Board with ULINK2

  2. Power up the MCB1800 Board.
  3. Configure the Debugger in the Project — Options for Target — Debug dialog.

    Options for Target Button Use the Options for Target toolbar button and click the Debug tab to display the Debug dialog.

    Use: ULINK Cortex Debugger Select Use: and ULINK2/ME Cortex Debugger in the drop-down to choose the ULINK USB-JTAG Adapter as the debugging tool.

    Debug Load & Run Options Check the Load Application at Startup and the Run to main() options to load your application and execute code up to the beginning of your main() function when the debugger starts.

  4. Click the Settings button to open the Cortex-M Target Driver Setup dialog.

    This dialog displays the IDCODE of the ARM device on the MCB1800 Board.

    JTAG Interface Options

    SW Mode & Port Check the SWJ checkbox and select the SW option under Port to use the Single Wire mode interface. Max Clock should be set to 1MHz.

    Download Options Select the Verify Code Download option under Download Options to compare the loaded application program with the Flash ROM content. You may disable this option to speed up the debugger start.

  5. Start the Debugger.

    Start/Stop Debug Button Use the Start/Stop Debug Session toolbar button to start debugging the program.

    Or

    Use the µVision command, Debug — Start/Stop Debug Session, to start debugging the program.


MCB1800/4300 User's Guide: Debugging Programs

Debugging Programs

µVision IDE offers a very powerful and comprehensive set of debugging tools designed to make program testing easier and reduce the time it takes to produce a working application.

The required steps for configuring the debugger on the MCB1800 board are described in the topic Debugging with ULINK.

You may debug your application software via the CoreSight debug port, for example, by connecting the Keil ULINK USB-JTAG Adapter to the JTAG interface.

Using the µVision debugger and the CoreSight debug port capability of the MCB1800, you may set breakpoints and step through your code, and also view the status of on-chip peripherals using the Peripheral dialogs custom-designed for the LPC1850 device.


MCB1800/4300 User's Guide: BLINKY

BLINKY

The BLINKY example program toggles the LEDs sequentially. The toggle speed of the LEDs is based on a 10ms system clock interrupt..

The BLINKY example project demonstrates assembling, compiling, linking, downloading, and debugging using the µVision IDE on the MCB1800 board. The on-board LEDs make it easy to visually verify that the program loads and executes properly.

Loading BLINKY

To load the BLINKY project, select Open Project from the Project menu and open BLINKY.UVPROJ from the following folder:

  • \KEIL\ARM\BOARDS\KEIL\MCB1800\BLINKY\

Open Project dialog

Project Workspace When the BLINKY project opens, the µVision Project Workspace window displays the source files that make up the project.

  • system_lpc18xx.c configures system clock and external memory setup options.
  • startup_lpc18xx.s contains the CPU startup code for the NXP LPC18xx devices.
  • Blinky.c contains the application modules that set up the system interrupt and toggles the LEDs.
  • LED_LPC18xx.c, contains the functions to initialize and manipulate the GPIO ports that control the on-board LEDs.

The Abstract.txt file contains documentation about the project.

Editing BLINKY

You may edit Blinky.c or review the source code. Double click on Blinky.c in the Files page of the Project Workspace window. µVision loads and displays the contents of Blinky.c in an editor window.

Running BLINKY

Perform the following four steps to run the BLINKY Example on the MCB1800 Evaluation Board:

  1. Building BLINKY
  2. Downloading BLINKY
  3. Debugging BLINKY
  4. Verifying Program Operation


MCB1800/4300 User's Guide: Building BLINKY

Building BLINKY

Build the BLINKY example program following this procedure. The executable files are placed in an output folder, ready for downloading.

Build Target Button When you are ready to compile and link your project, use the Build Target command from the Project menu or the Build toolbar. On the Build toolbar, select the appropriate target for your program.

µVision translates and links the source files and creates an absolute object module that you may load into the µVision debugger for testing. The status of the build process displays in the Build page of the Output Window.

For MCB1800 Boards

Once the BLINKY application is built, if you selected the LPC1850 Ext. Flash target, proceed with the Downloading step. If the LPC1850 RAM target is selected, go directly to the Debugging step.

For MCB4357 Boards

Once the BLINKY application is built, if you selected the LPC4357 Flash BankA target, proceed with the Downloading step. If the LPC4350 RAM target is selected, go directly to the Debugging step.

Note

  • You should not encounter any errors when you use µVision with the provided sample projects.


MCB1800/4300 User's Guide: Debugging BLINKY

Debugging BLINKY

Debug the BLINKY example program following this procedure. The debugged program is ready for the serial output check.

Start/Stop Debug Button Use the Start/Stop Debug Session toolbar button or the µVision command Debug — Start/Stop Debug Session to connect the debugger to the Keil ULINK Adapter. The CPU stops and connects to the CoreSight debug port of the LPC1850 device. For more details on the debugging features, refer to the µVision User's Guide.


MCB1800/4300 User's Guide: Downloading BLINKY

Downloading BLINKY

When the BLINKY build is complete, you may download the application to the Flash ROM using the Keil ULINK USB-JTAG Adapter.

Download to Flash Button Click the download button

When you use the Download command for the first time, you must configure the Flash options under Project — Options for Target — Utilities as described in Downloading to Flash.

After configuration, the Flash — Download command uses the Keil ULINK USB-JTAG Adapter for Flash programming.

The BLINKY application starts executing when you press RESET on the MCB1800 board to verify the program downloaded.

Note

  • You may enable the option Update Target before Debugging to download the BLINKY project whenever you start a Debug Session.

The downloaded program is ready for debugging.


MCB1800/4300 User's Guide: Verifying Program Operation

Verifying Program Operation

To verify the BLINKY program is operating correctly, start the program running either from the debugger via JTAG or by pressing the RESET button, or just cycling power on the board. The 8 LEDs will flash sequentially right-to-left, then left-to right continuously.


MCB1800/4300 User's Guide: Example Programs

Example Programs

The Keil MDK-ARM Development Tools download includes several example programs that are configured for the Keil MCB1800 Board.

The examples are configured for a number of µVision targets which demonstrate executing code from RAM or Flash memory, and how to use some of the features of the Keil tools.

All examples use the same file structure:

  • Abstract.txt contains a short description of the example.
  • startup_lpc18xx.s contains the startup code for the microcontroller.
  • system_lpc18xx.c contains the system initialization code for the microcontroller.
  • Example dependent source code.

Each example project is stored in a separate sub-folder of:

  • \KEIL\ARM\BOARDS\KEIL\MCB1800\ for the MCB1800 board.
  • \KEIL\ARM\BOARDS\KEIL\MCB4300\ for the MCB4300 board.

The following example program is installed automatically:

  • BLINKY
    The Blinky project is a simple example that demonstrates configuring and controlling multiple GPIO ports to blink the on-board LEDs sequentially. SysTimer is used in interrupt mode and ticks every 10ms which toggle the LED flash sequence.

The Blinky example is configured for three µVision targets:

  • LPC1850 RAM - where the program runs in internal RAM.
  • LPC1850 Ext. Flash - where the program runs from external Flash.
  • LPC1850 SPIFI - where the program runs from on-board SPIFI Flash. You must change the boot jumpers to boot from SPIFI Flash. See SPIFI boot mode in the Boot Configuration Settings section of Configuring the MCB1800 for the jumper settings.


MCB1800/4300 User's Guide: Programming Flash

Programming Flash

The MCB1800 board supports downloading programs to Flash memory using a ULINK2, ULINK-ME or ULINKpro USB-JTAG adapter via the JTAG, Cortex Debug or Cortex Debug + ETM connectors on the MCB1800 board.

The ULINK USB-JTAG interface also supports emulation and debug capabilities for the MCB1800 board.

MCB1800 Board Connected to the ULINK2 JTAG Adapter

MCB1800 Board Connected to ULINK2

MCB1800 Board Connected to the ULINK-ME Adapter

MCB1800 Board Connected to ULINK-ME

MCB1800 Board Connected to the ULINKpro JTAG Adapter

MCB1800 Board Connected to ULINKpro


MCB1800/4300 User's Guide: Downloading to Flash

Downloading to Flash

Download using the Keil ULINK JTAG-Adapter. The steps to setup ULINK for Programming Flash within µVision IDE are:

  1. Connect the ULINK to the JTAG connector of the MCB1800 Board. Note that the red cable marks pin 1 of the JTAG-connector.

    MCB1800 connected to ULINK2

    Note

    • The CoreSight debug port in the LPC1800 core is disabled when the device is in Power Down or Deep Sleep mode. ULINK stops working if your code puts the Cortex device into Deep Sleep or Power Down mode until the target device is reset.

  2. Use Target Driver Option On the MCB1800 board, make sure the J4 Boot Mode jumpers are configured for EMC 32-bit for booting from External NOR Flash(32-bit).

  3. Power up the MCB1800 Board.
  4. Configure Flash Programming in the Project — Options for Target — Utilities dialog.

    Use Target Driver Option Set the Use Target Driver for Flash Programming option, then select the ULINK Cortex-M3 Debugger as the Flash programming tool.

    Update Target Option Check the Update Target before Debugging option to ensure that the Flash ROM gets programmed whenever the debugger starts.

    Settings Button Click the Settings button to open the Flash Download Setup dialog for the next step.

  5. Configure the Flash Download Setup dialog as follows:

    Flash Download Function Set the Download Function options by first selecting Erase Sectors used by the application, then check Program and Verify to verify the Flash contains the downloaded application.

    RAM for Algorithm Setting In the RAM for Algorithm section, set the Start location for for the flash programming algorithm to 0x1000000 in RAM and set the Size to 0x0800.

    Programming Algorithm Click the Add button and find the S29GL064N Dual Flash programming algorithm in the list of available algorithms. Select it, then click the Add button to add it to your target.

    Finally, click the OK button to save the Flash Download settings, then OK again to save the target options.

  6. Download to Flash

    Download To Flash Button Click the Download to Flash toolbar button. This executes the Flash download program (Target Driver or External) selected in Project — Options for Target — Utilities and downloads the application program into the LPC1850 device.

    Or

    Use the µVision command Flash — Download to download the application program into the LPC1850 device.

ULINK can be also used for application code debugging in Flash ROM or RAM of the LPC1850 microcontroller.


MCB1800/4300 User's Guide: Kit Contents

Kit Contents

The MCB1800 kit includes:

  • The MCB1800 Evaluation Board.
  • 2 USB A to Micro-B cables.
  • A µVision IDE Quick Start Guide.
  • Example Programs for the MCB1800 Evaluation Board are located in the folder KEIL\ARM\BOARDS\KEIL\MCB1800. All examples can be compiled and debugged using the Lite Edition.

The MCB4300 kit includes:

  • The MCB4300 Evaluation Board.
  • 2 USB A to Micro-B cables.
  • A µVision IDE Quick Start Guide.
  • Example Programs for the MCB4300 Evaluation Board are located in the folder KEIL\ARM\BOARDS\KEIL\MCB4300. All examples can be compiled and debugged using the Lite Edition.


MCB1800/4300 User's Guide: Features

Features

The connectors on the evaluation board provide easy access to many of the LPC1850's on-chip peripherals.

  • Serial Port
    A standard DB9 connector is on the board for the LPC1850's built-in UART interface. This is a full duplex, serial port.
  • CAN Port
    A standard DB9 connector for applications requiring CAN communications.
  • USB 2.0 Full Speed and High Speed Ports
    2 standard USB Type mini-B connectors: for USB Device, Host and OTG communications.
  • 100/10M Ethernet Port
    A standard RJ45 connector on the MCB1800 board connects to an on-board Ethernet transceiver for applications requiring Ethernet communications.
  • LCD Display with Touch Screen
    A detachable, 240x320 TFT, color LCD display with 4-wire, resistive touch screen. You may use this graphic display device to show real-time debug and program status messages.
  • Stereo CODEC and Amplifier
    A low-power stereo CODEC with headphone, line-in, line-out and microphone amplifiers. You may use this on-board device for audio applications.
  • Amplified Speaker
    A low-power audio amplifier drives an on-board loudspeaker for developing applications that require audio output.
  • Temperature Sensor
    A sensor for measuring ambient temperature is included.
  • On-board Battery
    A removable, lithium battery is included on the MCB1800 to maintain power to the real-time clock when the board disconnects from the main power supply.
  • Analog Voltage Control for ADC Input
    An adjustable analog voltage source for testing the Analog to Digital converter built into the LPC1850 device.
  • MicroSD Card Connector
    A MicroSD Card connector for developing applications requiring access to MicroSD Cards.
  • RFID Connector
    A 4-pin RFID header for connecting to external RFID devices via I2C.
  • External Memory
    The MCB1800 board includes:
    • 16 MB External SDRAM
    • 16 MB External NOR Flash
    • 4 MB External SPI Flash
  • JTAG and Cortex/ETM Download and Debug
    The MCB1800 board incorporates both a JTAG interface and a Cortex Debug + ETM interface. When coupled with the ULINK2 USB-JTAG adapter, the Serial Wire JTAG interface allows flash programming and debugging. With the ULINKPro adapter, the Cortex Debug/ETM interface allows flash programming and instruction trace debugging.


MCB1800/4300 User's Guide: Hardware Requirements

Hardware Requirements

To use either the MCB1800 or MCB4300 Evaluation Kit, you need:

  • The MCB1800 or MCB4300 Evaluation Board.
  • A PC with:
    • One USB port for downloading and debugging.
    • A second USB port if the board is not powered using an external adapter.

To download and debug, one of the following:

  • A Keil ULINK USB-JTAG Adapter (JTAG only — no Serial Wire mode).
  • A Keil ULINK2 USB-JTAG Adapter.
  • A Keil ULINK-ME USB-JTAG Adapter.
  • A Keil ULINKPro USB-JTAG Adapter.

Plus:

  • 1 USB A-B cable for connecting the ULINK adapter.

And either:

  • 1 USB A to Micro A cable or USB A to Micro B cable

Or

  • A 8-12 VDC, 500mA external power adapter

to power the board.


MCB1800/4300 User's Guide: Quick Start

Quick Start

Use the following table to locate important information about the MCB1800 board and get started quickly.

To… | See…
Connect power to the MCB1800 board. | Setup
Connect the MCB1800 via ULINK/JTAG to your PC. | Connecting the MCB1800
Read about the default configuration settings. | Configuring the MCB1800
Configure the tool options for the MCB1800 board. | Writing Programs
Learn more about µVision IDE. | µVision User's Guide
Review the MCB1800 schematics. | MCB1800 Schematics


MCB1800/4300 User's Guide: MCB1800 & MCB4300 Starter Kits

MCB1800 & MCB4300 Starter Kits

The MCB1800 or the MCB4300 starter kit is the ideal way to begin working with the LPC18xx or LPC43xx devices from NXP.

MCB1800 Board with ULINK-ME

The starter kit includes:

  • MCB1800 or MCB4300 Evaluation board
  • ULINK-ME USB-JTAG adapter
  • MDK-ARM (evaluation software)

These tools help you get started writing programs and testing the microcontroller and its capabilities. Example applications which run on the MCB1800 are included.

Note:

  • All references to ULINK or ULINK2 in this document apply to the ULINK-ME USB-JTAG adapter.


MCB1800/4300 User's Guide: Software Requirements

Software Requirements

You must install the following required software to use the MCB1800 or MCB4300 Evaluation Board:

Windows Operating System

The Keil µVision tool chain runs in these Windows Operating Systems:

  • Microsoft Windows XP
  • Microsoft Windows Vista
  • Microsoft Windows 7

Tools and Examples

To compile, link and run applications on the MCB1800 or MCB4300 Evaluation Board, you must install one of these Keil MDK-ARM product editions:

  • MDK-Lite
  • MDK-Basic
  • MDK-Standard

Each edition includes the µVision Debugger and provides several example programs for both the MCB1800 and MCB4300 boards.

Optional

  • The MDK-Professional edition includes the MDK-Standard edition plus middleware libraries such as, TCP/IP Protocol Suite, Flash File system, CAN Driver, and USB Driver. You may use this package to implement applications that connect by CAN, or USB.


MCB1800/4300 User's Guide: Introduction

Introduction

You may use the Cortex-M3 based MCB1800 Evaluation Board to generate and test application programs for the NXP LPC18xx microcontroller family or the Cortex-M4 based MCB4300 Evaluation Board for the LPC43xx microcontroller family. With this hands-on process, you can determine the hardware and software requirements for current and future product development.

The MCB1800 Evaluation Board ships with the LPC1857 device that is a superset of several other device variants of the LPC18xx microcontroller series. The MCB4300 Evaluation Board ships with the LPC4357 device that is a superset of several other device variants of the LPC43xx microcontroller series. The MCB1800 and MCB4300 boards contain all the hardware components required in a single-chip LPC device-based system.

MCB1800 Board

MCB1800 Board

Note

  • The MCB1800 and MCB4300 use the same base board and on-chip peripherals. Only the MCU is different between the two boards. For the purposes of this manual, except as noted, all references to the MCB1800 board pertain to the MCB4300 also.


MCB1800/4300 User's Guide: Theory of Operation

Theory of Operation

The Theory of Operation explains the MCB1800 board hardware. The descriptions help you to understand the MCB1800 board components and how to use the available I/O interfaces.

The MCB1800 and MCB4300 boards are designed to be very flexible evaluation boards for the NXP LPC18xx or LPV43xx device series. Both boards can be expanded to build hardware prototypes.


MCB1800/4300 User's Guide: Keil MDK-ARM

Keil MDK-ARM

To use the MCB1800 Board download the Lite Edition of the Keil Microcontroller Development Kit (MDK-ARM). The MDK-ARM Lite Edition includes:

  • Powerful and easy-to-use µVision IDE that includes editor, project management, and make capability.
  • µVision Debugger with complete CPU, peripheral simulation, and driver for the Keil ULINK USB-JTAG Adapter.
  • ARM Compilation Tools that include ANSI C/C++ Compiler and related utilities.
  • RTX RTOS Kernel for the ARM Compiler.
  • Extensive tutorials and documentation.

The restrictions for the MDK-ARM Lite Edition are:

  • The image ROM size of the generated application is limited to 32KB maximum.
  • The base address for code/constants is restricted to 0xXX000000, 0xXX800000, or 0x00080000 whereby XX stands for 00, 01, ..., FF. This allows memory start address like 0x00000000, 0x12800000 and so on.
  • It is not possible to generate position independent code or data.
  • The compiler does not generate a listing file.


MCB1800/4300 User's Guide: Application Notes

Application Notes

Keil Software provides numerous Application Notes that discuss solutions to special problems. These are available on the Keil web site at: http://www.keil.com/appnotes/

Application Notes are available for topics like CAN and Ethernet Programming, Complex Device Simulation, and many more.


MCB1800/4300 User's Guide: Writing Programs

Writing Programs

The Writing Programs topics introduce you to the Keil development tools and show you, step-by-step, the process of using them with the MCB1800 board. You will learn how to use µVision to create, compile, download, debug, and run a program on the MCB1800 board.

Writing programs for the MCB1800 board is easy.

  1. Create the Application Program using µVision IDE and the ARM C/C++ Compiler.
  2. Download the program to the on-chip Flash of the MCB1800 Board.
  3. Debug the program using the µVision Debugger and ULINK.

Note

  • Use the Keil MDK-ARM Lite Edition if no other version is installed on the computer.


MCB1800/4300 User's Guide: Setup

Setup

Setting up the MCB1800 evaluation board is easy. Explanations for the board setup and its components are presented here. Details about the connecting and configuring procedures for the MCB1800 board are also presented, with a separate topic for the jumper descriptions. Setup includes using the MCB1800 board with ULINK.

The MCB1800 board requires a power connection and a ULINK-USB adapter between your development PC and the JTAG or Cortex Debug connector.

Before you start, make sure you have satisfied the hardware and software requirements.


MCB1800/4300 User's Guide: Board Setup

Board Setup

The MCB1800 Evaluation Board may be powered:

  • From a PC via USB A to microB cable.
  • From an 8-12 VDC, 500mA external power adapter.

For downloading and debugging, the MCB1800 Evaluation Board connects directly to the Keil µVision Debugger using the Keil ULINK USB-JTAG Adapter, so no additional software is required on the board.

MCB1800 Board Connected to ULINK2


MCB1800/4300 User's Guide: Board Components

Board Components

The following illustration shows the important interface and hardware components of the MCB1800 board.

MCB1800 Board Components


MCB1800/4300 User's Guide: Configuring the MCB1800

Configuring the MCB1800

The MCB1800 Evaluation Board is configured using 8 sets of jumpers. The MCB1800 Board ships with the following configuration:

Power Measurement Jumpers

Jumper | State | Description
J1 3V3A | ON1 | Supplies regulated 3.3VDC (3V3A from IC4) to VDDA. This jumper can be removed for monitoring just the analog/ADC current draw of the LPC1850 device.
J1 3V3R | ON1 | Supplies regulated 3.3VDC (3V3 from IC3) to VDD. This jumper can be removed for monitoring just the CPU current draw of the LPC1850 device.
J1 3V3IO | ON1 | Supplies regulated 3.3VDC (3V3 from IC3) to VDDIO on the LPC1850 device. This jumper can be removed for monitoring just the I/O current draw of the LPC1850 device.
J2 GND SWO | none1 | Used for connecting external power monitoring equipment such as PowerScale from Hitex. DO NOT JUMPER THESE PINS.

Real-Time Clock (RTC) Power Jumper

Jumper | State | Description
J3 3V3A/BAT | 3V31 | The board power supply powers the RTC. The lithium battery is disconnected and the RTC stops when board power is removed.
 | BAT | The lithium battery powers the RTC. The RTC continues to run even when board power is removed.

Boot Configuration Jumpers

J4A/ P2_9 | J4B/ P2_8 | J4C/ P1_2 | J4D/ P1_1 | Boot Mode | Description
L | L | L | L | USART0 | Boot from USART0 using P2_0/P2_1. J13 and J16 must be in position 1-2.
L | L | L | H | SPIFI | Boot from Quad SPI flash (IC11) connected to P3_3-P3_8.
L | H | L | L | EMC 32-bit1 | Boot from external NOR flash (32bit) connected to CS0.
L | H | L | H | USB0 | Boot from USB0.
L | H | H | L | USB1 | Boot from USB1.
H | L | L | L | USART3 | Boot from USART3 using P2_3/P2_4. J13 and J16 must be in position 2-3.

Notes:

  • Other boot modes such as EMC 8-bit, EMC 16-bit, SPI flash are not supported on the MCB1800. Please see the NXP LPC1850 User Manual, Chapter 4, LPC18xx Boot ROM for more details.
  • MCUs with on-chip flash (like LPC1857/LPC4357) will always boot from on-chip Flash when it contains a valid application. If you want to boot from the source that is selected with the jumpers above, you can do this:
    1. Erase the on-chip Flash. Use a uVision project where the right on-chip Flash programming algorithm is selected and then select Erase from the uVision Flash menu.
    2. Press the buttons ISP and RESET at the same time. Then first release RESET and then ISP. This forces the MCU to boot from the source selected by the jumpers above.

UART Jumpers

Jumper | State | Description
J13 RX | UART0 | Connects P2_1 to the RS232 receive line driver and DB9 connector.
 | UART31 | Connects P2_4 to the RS232 receive line driver and DB9 connector.
J16 TX | UART0 | Connects P2_0 to the RS232 transmit line driver and DB9 connector.
 | UART31 | Connects P2_3 to the RS232 transmit line driver and DB9 connector.
URST | OFF1 | Disables Reset via COM0.
UISP | OFF1 | Disables In-System Programming via COM0.

Note:

  • The MCU will boot from UART0 or UART3 as long as the Boot Mode jumper setting(J4) matches the UART selected. The UART0 pins (P2_0 and P2_1) are also used by the external address bus.

    DO NOT move the J13/J16 jumpers to the UART0 position when the external address bus is in use.

CAN Jumpers

Jumper | State | Description
J19 & J20 CAN | ON1 | Install both jumpers to provide 120 ohm termination to the CAN bus. Remove both jumpers if the bus is already terminated. The CAN bus requires 120 ohm termination at both ends of the bus.

Audio Jumpers

Jumper | State | Description
J10 L+R | OFF1 | This jumper merges left and right channel microphone inputs, producing a monophonic signal. Install this jumper when a stereo microphone is connected to the MIC in jack(P7).
J14 Codec/DAC | DAC1 | Connects the on-board loudspeaker amplifier to the digital analog (DAC) output of the MCU.
 | Codec | Connects the on-board loudspeaker amplifier to the left channel line-out output of the codec. The microcontroller configures the codec via I2C interface and sends the audio data via I2S interface.

Debug Jumper

Jumper | State | Description
J5 DBG_EN | ON1 | Enables the Cortex Debug (J6), Cortex Debug + ETM (J7) and JTAG (J8) debug interfaces.

LED Jumper

Jumper | State | Description
J21/LED_EN | ON1 | Enables the 8, port-driven LEDs.

1 Factory setting of MCB1800 and MCB4300 board jumpers.


MCB1800/4300 User's Guide: Connecting the MCB1800

Connecting the MCB1800

To use the MCB1800 Evaluation Board with a ULINK adapter, you must:

  • Connect the ULINK adapter to the target board...
    For ULINK2:
    • Connect a ULINK2 adapter to the JTAG or the Cortex Debug connector of the MCB1800 board.
    For ULINK-ME:
    • Connect a ULINK-ME adapter to the Cortex Debug connector of the MCB1800 board.
    For ULINKpro:
    • Connect a ULINKpro adapter to the JTAG or the Cortex Debug + ETM connector of the MCB1800 board.
  • Connect the ULINK adapter to the PC via a standard USB AB cable.
  • Connect power from your PC to the board using the included USB A to Micro B cable.
  • Set the JTAG clock for your ULINK adapter.

MCB1800 Board Connected to the ULINK2 JTAG Adapter

MCB1800 Board Connected to ULINK2

MCB1800 Board Connected to the ULINK-ME Adapter

MCB1800 Board Connected to ULINK-ME

MCB1800 Board Connected to the ULINKpro JTAG Adapter

MCB1800 Board Connected to ULINKpro


MCB1800/4300 User's Guide: Setting the JTAG Clock

Setting the JTAG Clock

To get the best performance from your ULINK JTAG adapter, it's important to set the JTAG clock rate for the MCB1800 board. The following steps show you how this is done.

  1. Power up the MCB1800 Board.
  2. In µVision, Configure the Debugger in the Project — Options for Target — Debug dialog.

    Options for Target Button Use the Options for Target toolbar button and click the Debug tab to display the Debug dialog.

    Use: ULINK ARM Debugger Select the Use: radio button and then ULINK2/ME Cortex Debugger in the drop-down list to choose the ULINK USB-JTAG Adapter as the debugging tool.

  3. Click the Settings button to open the Cortex-M Target Driver Setup dialog.

    Target Driver Setup - ULINK2 Adapter Select the SW option from the Port: drop-down list to use the Serial Wire JTAG interface of the Cortex-M3 device.

    Since the Cortex-M3 device supports both JTAG and Serial Wire modes, check the SWJ checkbox.

    The Max Clock drop-down list sets the highest JTAG clock rate used to communicate to the target board. When using a ULINK2 or ULINK-ME adapter, the 1MHz setting works best with the MCB1800 board.


MCB1800/4300 User's Guide: Jumper Descriptions

Jumper Descriptions

The jumpers used to configure the MCB1800 board are:

  • J1 3V3A: Provides access for measuring analog power consumed by the LPC1850.
  • J1 3V3R: Provides access for measuring CPU power consumed by the LPC1850.
  • J1 3V3IO: Provides access for measuring I/O power consumed by the LPC1850.
  • J2 GND SWO: Provides access to SWO and GND signals for power monitoring equipment such as PowerScale from Hitex.
  • J3 3V3/BAT: Select power source (board or battery power) for the Real-Time clock (RTC).
  • J4A-D P2_9, P2_8, P1_2, P1_1: Selects the boot configuration. The MCU will boot from USART0, USART3, USB0, USB1, SPI Flash or external NOR Flash. See the Boot Configuration Jumpers in Configuring the 1800 for the jumper settings.
  • J5 DBG_EN: Enables the Cortex Debug (J6), Cortex Debug + ETM (J7) and JTAG (J8) debug/download interfaces. Removing this jumper disables all 3 debug/download interfaces.
  • J10 L+R: Combines the left and right channel microphone input allowing a monaural input from a stereo microphone.
  • J14 Codec/DAC: Connects the loudspeaker amplifier to either the left channel line output of the codec or to the digital to analog converter (DAC) output.
  • J13 RX: Connects the RS232 receiver to either UART0(P2_1)See Note or UART3(P2_4).
  • J16 TX: Connects the RS232 transmitter to either UART0(P2_0)See Note or UART3(P2_3).
  • J17 UISP: Enables In-System Programming. Lets the RTS line of the COM0 port generate a signal on P2.7 (INT0). When RTS is active, P2.7 is driven low. This is used to enter In-System Programming (ISP) mode.
  • J18 URST: Enables Reset via the UART0/3 port. When RST is set, you may generate a CPU RESET signal using the DTR signal of the UART0/3 port. An active DTR signal generates a CPU RESET.
  • J19-J20: Provides 120 ohm CAN bus termination between CANH and CANL, when installed.
  • J21 LED_EN: Enables the 8 on-board LEDs. When the port pins assigned to the LEDs are used for other purposes, you may reduce the power required for the board by removing this jumper.

Notes

  • Pins P2_0 and P2_1 are shared with the external address bus. DO NOT set these jumpers to the UART0 position if the external address bus is in use.

MCB1800 Board Jumpers


MCB1800/4300 User's Guide: Block Diagram

Block Diagram

The hardware block diagram displays the input, configuration, power system, and User I/O on the board. This visual presentation helps you to understand the MCB1800 board components.

MCB1800 Block Diagram


MCB1800/4300 User's Guide: Push Buttons

Push Buttons

The six push buttons on the MCB1800 board are:

  • The RESET push button connects grounds the active-low external reset pin of the microcontroller and is connected to the power-up reset circuit. This resets the microcontroller.
  • The ISP push button grounds P2_7 pin on the microcontroller. Holding down this button during a reset enables ISP flashing via the boot source configured using the Boot Configuration Jumpers.
  • The P4_0, P4_3 and P4_4 push buttons connects to port pins P4_0, P4_3 and P4_4 of the LPC1850 device and are available for general use.
  • The WAKEUP0 push button connects to pin W_UP0 of the microcontroller. This wakes up the microcontroller out of sleep mode.

MCB1800 Board Buttons


MCB1800/4300 User's Guide: CAN Interface

CAN Interface

The CAN Interface uses an TJA1040 CAN driver at IC12 on the MCB1800 board.

MCB1800 Board CAN Interface

The CAN DB9 connectors are wired so that Pin 2 provides the CANL signal and Pin 7 provides the CANH signal. These pins are connected to a TJA1040 CAN driver.

Jumper J19 and J20 incorporates a 120 ohm termination resistor between the CANL and CANH signals.

MCB1800 CAN DB9 Connector

Note

  • CAN termination resistors make it easy to connect the MCB1800 board to your CAN network but they are not always required. When connecting the MCB1800 Board to a CAN network, you may need to remove jumpers 19 and J20.


MCB1800/4300 User's Guide: Configuration

Configuration

The MCB1800 evaluation board is very flexible and configures easily to suit your needs. Configuration jumpers control the built-in features such as debug interfaces, VGA camera, audio drivers, CAN driver, and LEDs.

Refer to Configuring the MCB1800 and Jumper Descriptions for descriptions of the possible settings.

After changing configuration jumpers, you must reset the MCB1800 board.

Note

  • The LPC1850 device provides many configuration options. For more information, please refer to the Schematics page.


MCB1800/4300 User's Guide: Microcontroller

Microcontroller

The NXP LPC1857 microcontroller (IC2) is provided with the MCB1800 board, and the NXP LPC4357 microcontroller (IC2) with the MCB4300 board. Both are high-end LPC devices with on-chip CAN, Ethernet, USB (full and high-speed) connectivity.

A 12.0 MHz oscillator (Q1) provides the clock signal for the MCU.

MCB1800 Board MCU


MCB1800/4300 User's Guide: Ethernet Interface

Ethernet Interface

The Ethernet Interface on the MCB1800 board provides a standard RJ45 connector with integrated transformer, and a 10/100 Ethernet 3.3V transceiver(IC6) connected to the LPC1800/4300 via the RMII interface.

MCB1800 Board - Ethernet Interface


MCB1800/4300 User's Guide: ETM Interface

ETM Interface

The ETM Interface connector provides instruction-level trace debugging support for the LPC1857 or LPC4357 device. Jumper J5 DBG_EN must be installed for proper operation of the ETM interface.

MCB1800 Board ETM Connector

A 20-pin header (Samtec FTSH-120) is included for connecting to Cortex Debug and ETM Trace hardware.

20-pin ETM Trace Connector Pin Identification


MCB1800/4300 User's Guide: Joystick

Joystick

The 5-position joystick control on the MCB1800 board grounds one of 5 GPIO pins on port PC depending on how the the joystick control handle is positioned. The control may be positioned left, right, up, down or pushed toward the board (center).

  • The Left joystick position connects the PC_13 port to ground.
  • The Right joystick position connects the PC_14 port to ground.
  • The Up joystick position connects the PC_11 port to ground.
  • The Down joystick position connects the PC_12 port to ground.
  • The Center joystick position connects the PC_9 port to ground.

MCB1800 Board Joystick


MCB1800/4300 User's Guide: JTAG/Cortex Debug Interface

JTAG/Cortex Debug Interface

The JTAG/Cortex Debug Interface connector provides debugging and emulator support for the LPC1850 device. The JTAG/Cortex Debug Interface allows application debugging and programming of on-chip and off-chip Flash devices. Jumper J5 DBG_EN must be installed for proper operation of the JTAG/Cortex Debug interface.

MCB1800 Board JTAG Connector

The standard JTAG 20-pin connector works with the Keil ULINK and many third party tool vendors. The Cortex Debug connectors work with the Keil ULINK2, ULINK-ME and ULINKpro adapters, plus many third party tool vendors.

Cortex Debug + JTAG Pin Identification

Serial Wire Mode Interface

The MCB1800 board also supports the Serial Wire Mode of Cortex-M3 based devices. In Serial Wire mode, only the pins TCLK and TMS are used. TDO is an optional trace data output pin.


MCB1800/4300 User's Guide: LCD Panel w/Touch Screen

LCD Panel w/Touch Screen

The LCD-TFT color graphics display panel (AMPIRE AM240320LDTNQW) contains a 240x320 pixel screen and may be controlled from either the digital 16-bit RGB interface of the on-chip LCD controller in the LPC1800/4300, or from the on-chip SPI interface. The LCD panel is permanently mounted on the MCB1800 board, connecting to the board via 50-pin flex-circuit connector.

This LCD panel includes a 4-wire, resistive touch screen controlled by an STMPE811 touch screen controller (IC20).

MCB1800 LCD Panel


MCB1800/4300 User's Guide: LEDs

LEDs

The MCB1800 board has the following LED indicators:

  • The USBnIND0 and USBnIND1 LEDs reflect the state of the 2 USB port control indicator pins of the LPC1850.
    - Pin P8_2 controls USB0_IND0
    - Pin P8_1 controls USB0_IND1
    - Pin P9_4 controls USB1_IND0
    - Pin P9_3 controls USB1_IND1
  • The VBUSn LED indicates 5VDC is present on either the VBUS0 or the VBUS1 USB connector.
  • The 8 Port LEDs marked PD_10 - PD_14 and P9_0 - P9_2 connect to their respective port pins when jumper LED is installed. These LEDs are useful for indicating program status while testing your applications. When these LEDs are not required, you may save power by removing the J21 LED_EN jumper.
  • The ORANGE LED (right/lower) on the Ethernet connector indicates LAN traffic is present.
  • The GREEN LED (left/upper) on the Ethernet connector indicates a good link connection to the LAN.

MCB1800 Board - LEDs


MCB1800/4300 User's Guide: External Memory

External Memory

In addition to the Flash and RAM internal to the LPC1857 (or LPC4357) MCU, the MCB1800/4300 board contains the following external memory:

  • 16 MB External SDRAM (IC10) connected to the 32-bit bus.
  • 16 MB External NOR Flash (IC8 and IC9, 8Mbytes each) connected to the 32-bit bus.
  • 4 MB External Quad SPI Flash (IC11) connected to the SPIFI interface.

MCB1800 Board External Memory

Chip Select and Addressing for External Memory

The table below identifies the chip select, pin and address area for the external memory devices on the MCB1800 board.

Device | Chip Select / Pin | Address Area
NOR Flash | CS0 / P1_5 | 0x1C000000 - 0x1CFFFFFF
SDRAM | EMC_DYCS0 / P6_9 | 0x28000000 - 0x28FFFFFF
Quad SPI Flash | SPIFI_CS / P3_8 | 0x80000000 - 0x803FFFFF (Mirrored at 0x14000000 - 0x143FFFFF. Load applications at 0x14000000 - 0x143FFFFF to debug them.)


MCB1800/4300 User's Guide: Potentiometer

Potentiometer

The potentiometer on the MCB1800 board connects to the on-chip analog-to-digital controller via pin ADC1. The voltage range is 0.0-3.3 Volts.

MCB1800 Board Potentiometer


MCB1800/4300 User's Guide: Power Supply

Power Supply

The MCB1800 Board can be powered through two different connectors:

  • P2 or P4 USB MicroAB connectors: The board is supplied automatically with 5 V when connected to a PC through a USB A to Micro B cable. The LPC microcontroller can use the USB interface as a USB device.
  • PWR: Power may also be supplied by an 8-12 VDC external power supply which is capable of providing up to 500mA of current. The PWR connection at P1 uses a standard 5.5mm barrel plug with a 2.1mm inner diameter. The center conductor provides positive voltage. IC1 reduces and regulates this to 5.0VDC.

Please note that the debug interfaces (JTAG / Cortex-Debug and Cortex-Debug+ETM) are extremely sensitive to electrostatic discharge (ESD).

Special care should be taken if you are powering the board with a power supply that has no ground connection (e.g. wall power supply). Please connect the board in this order:

  1. Connect the debug interface (e.g. ULINK2/ULINKpro) to the board via JTAG or Cortex-Debug connector (J6/J7/J8).
  2. Then connect the external power supply to connector P1 or to one of the microUSB connectors P2 or P4.

Disconnect the board in reverse order.

MCB1800 Board Power Connections

The voltage regulators IC3 and IC4 generate 3.3 Volts DC to supply all components on the board. When jumper J3 is in the BAT position, the CR1220 lithium battery supplies power to the VBAT pin of the CPU to maintain the real-time clock.


MCB1800/4300 User's Guide: Prototyping Area

Prototyping Area

The provides blocks for connecting the address and data lines, and ports P0-P9, PA-PF and 3.3VDC and ground. A block for ADC0-ADC4 signal input is also provided for analog devices.

MCB1800 Board Prototyping Area Note

  • All microcontroller signals are brought out to pins and are driven directly by the microcontroller. Exercise caution to avoid overloading these signal lines.


MCB1800/4300 User's Guide: RFID Header

RFID Header

A 4-pin RFID header is provided to connect the MCB1800 board to an external RFID I2C hardware such as the SL3S40xx UCODE devices from NXP.

MCB1800 Board - RFID Header


MCB1800/4300 User's Guide: Schematics

Schematics

The MCB1800 and MCB4300 Evaluation Boards consists of a Display Board mounted to the Base Board. Detailed board schematics are available in large format on the MCB1800 Evaluation Board information section of the Keil web site.

MCB1800/MCB4300 Board Schematics

MCB1800 Base Board Schematics
MCB1800 Base Board Schematics
MCB1800 Base Board Schematics
MCB1800 Base Board Schematics
MCB1800 Base Board Schematics
MCB1800 Base Board Schematics
MCB1800 Base Board Schematics
MCB1800 Base Board Schematics
MCB1800 Base Board Schematics
MCB1800 Base Board Schematics


MCB1800/4300 User's Guide: MicroSD Connector

MicroSD Connector

The MCB1800 board supports one MicroSD memory card connector that allows you to connect MicroSD memory cards.

MCB1800 MicroSD Connector


MCB1800/4300 User's Guide: Serial Port

Serial Port

The MCB1800 board connects the on-chip serial UARTs to the ST3232C (IC13), which converts the logic signals to RS-232 voltage levels.

MCB1800 Board Serial Port

The serial port (UART0/3) is configured as a standard 3-wire interface. The DB9 connector is wired directly to the ST3232C serial interface. Refer to the figure below for details.

Serial Port DB9 Diagram

Jumpers J16 and J13 allow you to connect transmit data (TX) and receive data (RX) signals from the ST3232C to USART0 or UART3 on the MCU.


MCB1800/4300 User's Guide: Speaker/Headphone

Speaker/Headphone

The MCB1800 board includes a speaker controlled by the low-power audio amplifier (IC18), and a low-power stereo coder/decoder (CODEC) for microphone and line-in inputs, line-out and headphone outputs(IC7).

Jumper J14 (Codec/DAC) controls which source (DAC or the left channel of the line out output) is to be amplified and sent to the loudspeaker (SPK1).

If a stereo microphone is used, installing a jumper at J10 combines the left and right microphone input signals producing a monaural signal for input to the CODEC.

MCB1800 Board Speaker


MCB1800/4300 User's Guide: Technical Data

Technical Data

Parameter | Description
Supply Voltage | 5 Volts DC (provided by the USB bus of a PC), or 8-12 Volts DC power from an external power supply.
Supply Current | 320mA typical, 410mA maximum
XTAL Frequency | 12 MHz
Microcontroller | NXP LPC1857 (MCB1857) or NXP LPC4357 (MCB4357)
Peripherals | 1 × RS232 Interface, 1 × CAN Interface, 2 × USB Device, Host and OTG Interfaces (Full-speed and high-speed), 1 × Ethernet Interface, 1 × JTAG Interface, 1 × Cortex Debug Interface, 1 × Cortex Debug + ETM Interface, 2 x 8 Mbyte NOR Flash, 1 x 16 Mbyte SDRAM, 1 x 4 Mbyte Quad SPI Flash, 1 × MicroSD Memory Card connector, 1 × Color graphic display and touch screen (240x320), 1 × Temperature sensor, 6 × Push buttons (RESET, ISP, WAKEUP0, P4_0, P4_3, P4_4), 1 × Joystick (5-position), 1 × Analog Input (connected to potentiometer), 1 × Low power, Stereo CODEC (with headphone, speaker, and microphone support)
Board Size | 124mm x 170mm (4.875" x 6.69").


MCB1800/4300 User's Guide: Temperature Sensor

Temperature Sensor

The MCB1800 board includes an ambient temperature sensor(IC15) accessible via I2C interface.

MCB1800 Board - Temperature Sensor


MCB1800/4300 User's Guide: USB Interface

USB Interface

The MCB1800 board supports USB-A and USB-microAB connectors for both USB device, host and OTG operation.

  • USB Device: In this mode, via either microAB connectors P2 or P4, a USB A to microB cable may used to connect to a PC. The board may be powered through this USB interface.
  • USB Host: In this mode, the USB A connector may be used to connect to a USB device such as a USB memory stick. In USB Host mode, the board must be powered by an external 8-12V power adapter to guarantee a stable power supply of the connected USB device.
  • USB OTG: In this mode, a Micro A USB cable is used to connect to another USB OTG device. In USB OTG mode, the board must be powered by an external 8-12V power adapter to guarantee a stable power supply not only for the connected USB OTG device, but also for the board itself. Although the USB specification for USB OTG only requires that 8 mA of current be supplied, this is well below the power required to operate the board.

VBUS power controlled with an LM352M-H (IC5), which provides, over-current, short circuit and over-temperature fault protection. Additionally, the USB A and microAB connectors are protected by ESD protection circuits D5 and D6.

MCB1800 USB Connector


MCB1800/4300 User's Guide: Building a Program

Building a Program

When the building a program function starts, you may watch the progress in µVision's Command window. The created executable files are placed in an output folder, ready for downloading. The steps and progress are:

  1. Start the build

    Build All Button Click on the Build toolbar button to generate your application program. µVision translates all your source files and links the project.

  2. Monitor progress

    The build activity progress (assembling, compiling and linking) displays in µVision's Command window. Any errors or warnings detected during the build process also display in this window.

    Target Build Output Window

  3. Program Files

    The build creates an Executable File in ELF Format which is placed in the Output folder that you designated earlier. When you use the ULINK USB-JTAG adapter, the ELF file is required to download to the MCB1800 board using the JTAG.

    The build creates an Intel HEX executable file which is placed in the same output folder for external program downloading through the serial port.

The program is now built and ready for test.


MCB1800/4300 User's Guide: Creating a Project

Creating a Project

Follow the steps below to create a new project file and to specify and organize your source (and debug) files that are a part of this project.

  1. Select the ARM Toolset that you want to use for your project.
    The default configuration is the RealView Toolset and the information below is based on selecting the RealView Compiler.
  2. Create a New Project File with the µVision menu command Project — New — µVision Project.
    Select a microcontroller from the Device Database®. The MCB1800 Board comes with the NXP LPC1850, however, you may also use it to develop code for other LPC18xx device variants, since the LPC1850 represents a superset of several other LPC18xx devices.
  3. Add Startup Code from the folder:

    - ..\ARM\STARTUP\NXP\LPC18xx for MCB1800 boards, or
    - ..\ARM\STARTUP\NXP\LPC43xx for MCB4300 boards,

    to your project. After selecting, µVision prompts with the following dialog:

    'Copy startup_LPC18xx.s Startup Code' Dialog

    Answer Yes since this startup code works with most LPC18xx projects.

  4. Add your own Source Code to the project using the µVision editor (or any editor of your choice) by either:
    • Right clicking the mouse in the Project Window on a group and select Add Files to Group from the context menu.

    • Or

    • Opening the Project — Components, Environment and Books — Project Components dialog.
      Within this dialog, you may create and organize files into groups, or create other project targets with different tool configurations.

      Components, Environments and Books Dialog


MCB1800/4300 User's Guide: Configuring Output Files

Configuring Output Files

Configure the Output Files in the Project — Options for Target — Output dialog. The steps for configuring these files are:

  1. Select Folder for Objects... this allows you to specify sub-folders for the output files.

    Options for Target — Output — Select Folder

  2. Enable Debug Information to store symbolic debug information within the executable file for source level program testing with the µVision debugger.

    Options for Target — Output — Debug Information Selection

  3. Enable Create HEX File to generate an Intel HEX file for Flash programming with external utilities.

    Options for Target — Create HEX File


MCB1800/4300 User's Guide: Setting Target Options

Setting Target Options

You must select the speed and memory configurations for your target hardware. Since these features of the MCB1800 are fixed, copy the settings as shown below. The steps for setting the target options are:

  1. Open the Target Tab of the Project — Options for Target dialog.

    Options for Target - XTAL Type in the XTAL (MHz) of 12.0 for the oscillator frequency.

  2. Enter the memory ROM area for your target system in ROM1.

    Options for Target - ROM1 Enter the starting address of 0x1C000000 in Start and the size of 0x100000 in Size.

    The MCB1800 has external NOR Flash from 0x1C000000 to 0x1CFFFFFF for a total of 0x100000 bytes.

    Clicking the Startup radio button assigns your startup code to this area of memory.

  3. Enter the RAM memory area for your target system in IRAM1.

    Options for Target - IRAM1 Enter the starting address of 0x10000000 in Start and the size of 0x18000 in Size.

    The MCB1800 has on-chip RAM from 0x10000000 to 0x10017FFF for a total of 0x18000 bytes.

Note

  • In the licensed (non-evaluation) version of MDK-ARM, the Memory Areas parameters automatically configure the scatter file for the Linker/Locator.


MCB1800/4300 User's Guide: Creating Application Programs

Creating Application Programs

The required steps for creating application programs are outlined here.

µVision includes a Project Manager that makes it easy for you to design applications quickly. The topics below show you how to create a project, set the target options, configure the output files, and build an application program that is ready to download to the MCB1800 board.

  1. Creating a Project
  2. Setting Target Options
  3. Configuring Output Files
  4. Building a Program

Detailed information can be found in the µVision User's Guide in the Creating Applications chapter.